@import url(./variables.css);
@import url(./reset.css);

h1 {
  font-size: var(--font-size-title);
  text-align: center;
  font-weight: 400;
  color: var(--color-primary);
  margin-top: 60px;
  text-transform: uppercase;
  text-shadow: 1px 3px 7px gray;
  letter-spacing: 1px;
}

.images {
  display: block;
  width: 500px;
  height: 305px;
  object-fit: cover;
}

.top,
.middle,
.bottom {
  display: block;
  justify-content: center;
  margin: 80px auto;
}

.top,
.middle,
.bottom {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  margin: 80px auto;
  max-width: 1020px;
}

.opening-hours,
.accessibility,
.food-drinks {
  background-color: #f2de84;
  line-height: 30px;
  min-height: 500px;
  padding: 50px;
}

.opening-hours {
  padding: 30px 50px;
}

.opening-hours p {
  line-height: 25px;
}

section h2 {
  margin: 20px 0;
  font-size: var(--font-size-sub);
  font-family: rubik-regular;
  font-weight: 300;
  color: var(--color-primary);
}

section p {
  color: var(--color-secondary);
  font-size: var(--font-size-description);
}

.parking,
.assistance {
  background-color: #d9844c;
  width: 500px;
  min-height: 174px;
  padding: 15px 50px;
  display: flex;
  flex-direction: column;
  margin-top: 20px;
}

.parking {
  line-height: 35px;
}

.assistance p {
  margin-top: 10px;
}

/* Media Queries */

@media screen and (max-width: 1090px) {
  .top,
  .middle,
  .bottom {
    grid-template-columns: 1fr;
    margin: 10px 20px;
  }

  .images {
    width: 100%;
    height: 600px;
  }

  .opening-hours,
  .accessibility,
  .food-drinks {
    min-height: auto;
    padding: 20px 50px;
  }

  .parking,
  .assistance {
    width: 100%;
    margin-top: 10px;
  }

  section p {
    font-size: 1.2rem;
  }

  .left,
  .right {
    padding: 10px;
  }
}

@media screen and (max-width: 768px) {
  h1 {
    font-size: 2rem;
    margin-top: 40px;
  }

  .images {
    width: 100%;
    height: 400px;
  }

  .top,
  .middle,
  .bottom {
    grid-template-columns: 1fr;
  }

  .opening-hours,
  .accessibility,
  .food-drinks {
    padding: 15px 50px;
  }

  .parking,
  .assistance {
    width: 100%;
  }

  .left,
  .right {
    padding: 10px;
  }

  section h2 {
    font-size: 1.5rem;
  }

  section p {
    font-size: 1rem;
  }
}

@media screen and (max-width: 376px) {
  h1 {
    font-size: 1.8rem;
    margin-top: 20px;
  }

  .images {
    width: 100%;
    height: 300px;
  }

  .top,
  .middle,
  .bottom {
    grid-template-columns: 1fr;
    margin: 10px 0;
  }

  .opening-hours,
  .accessibility,
  .food-drinks {
    padding: 20px;
  }

  .parking,
  .assistance {
    width: 100%;
  }

  section h2 {
    font-size: 1.3rem;
  }

  section p {
    font-size: 0.9rem;
  }

  .left,
  .right {
    padding: 6px;
  }
}
